Gecode::Support::Thread::Run Class Reference

A real thread. More...

`#include <thread.hpp>`

## Public Member Functions

| Run (Runnable *r)
| Create a new thread.
void | exec (void)
| Infinite loop for execution.
void | run (Runnable *r)
| Run a runnable object.

## Static Public Member Functions

static void * | operator new (size_t s)
| Allocate memory from heap.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Public Attributes

Run * | n
| Next idle thread.
Runnable * | r
| Runnable object to execute.
Event | e
| Event to wait for next runnable object to execute.
Mutex | m
| Mutex for synchronization.

## Detailed Description

A real thread.

Definition at line 299 of file thread.hpp.

## Constructor & Destructor Documentation

## Run()

Gecode::Support::Thread::Run::Run | ( | Runnable * | r | ) |

inline

Create a new thread.

Definition at line 70 of file none.hpp.

## Member Function Documentation

## exec()

void Gecode::Support::Thread::Run::exec | ( | void |  | ) |

Infinite loop for execution.

Definition at line 50 of file thread.cpp.

## run()

void Gecode::Support::Thread::Run::run | ( | Runnable * | r | ) |

inline

Run a runnable object.

Definition at line 108 of file thread.hpp.

## operator new()

void * Gecode::Support::Thread::Run::operator new | ( | size_t | s | ) |

inline static

Allocate memory from heap.

Definition at line 132 of file thread.hpp.

## operator delete()

void Gecode::Support::Thread::Run::operator delete | ( | void * | p | ) |

inline static

Free memory allocated from heap.

Definition at line 128 of file thread.hpp.

## Member Data Documentation

## n

Run* Gecode::Support::Thread::Run::n

Next idle thread.

Definition at line 302 of file thread.hpp.

## r

Runnable* Gecode::Support::Thread::Run::r

Runnable object to execute.

Definition at line 304 of file thread.hpp.

## e

Event Gecode::Support::Thread::Run::e

Event to wait for next runnable object to execute.

Definition at line 306 of file thread.hpp.

## m

Mutex Gecode::Support::Thread::Run::m

Mutex for synchronization.

Definition at line 308 of file thread.hpp.

The documentation for this class was generated from the following files:

- gecode/support/thread.hpp
- gecode/support/thread/none.hpp
- gecode/support/thread/pthreads.cpp
- gecode/support/thread/thread.cpp
- gecode/support/thread/thread.hpp